//
module adder_tp2;
reg     [3:0]   a, b;
wire    [3:0]   q;

reg     [7:0] mem[0:7];
integer i;

parameter file_name = "data_in.dat";
parameter STEP      = 1000;

adder adder0( .A(a), .B(b), .Q(q) );

initial begin
    $readmemh ( file_name, mem );
    a = 0; b = 0;
    for (i=0; i<5; i=i+1) begin
        #STEP { a, b } = mem[i];
    end
    #STEP   $finish;
end

initial $monitor( $stime, " a=%h b=%h q=%h",
    a, b, q );

endmodule

