module addex_tp;
reg     [3:0]   a;
reg     [2:0]   b;
wire    [3:0]   q;

parameter STEP = 1000;

addex addex( .A(a), .B(b), .Q(q) );

initial begin
            a = 4'h0;   b = 3'h0;
    #STEP   a = 4'h4;   b = 3'h1;
    #STEP   a = 4'h9;   b = 3'h2;
    #STEP   a = 4'hE;   b = 3'h3;
    #STEP   a = 4'h3;   b = 3'h4;
    #STEP   a = 4'h8;   b = 3'h5;
    #STEP   a = 4'hD;   b = 3'h6;
    #STEP   a = 4'hF;   b = 3'h7;
    #STEP   $finish;
end

initial $monitor( $stime, " a=%h b=%h q=%h",
    a, b, q );

endmodule
