module addsub( DIN0, DIN1, MOD, QOUT );
input  [3:0]  DIN0;
input  [3:0]  DIN1;
input         MOD;
output [3:0]  QOUT;

// Signal
wire   [3:0]  AD0;
wire   [3:0]  SB0;
reg    [3:0]  QOUT;

// Addtion
assign AD0 = DIN0 + DIN1;

// Subtraction
assign SB0 = DIN0 - DIN1;

// Select
always @( AD0 or SB0 or MOD )
begin
    if ( MOD == 1'b1 )
        QOUT = AD0;
    else 
        QOUT = SB0;
end

endmodule
