
module cnt12_tp;
reg             ck, res_x, en;
wire    [3:0]   q;

parameter STEP = 1000;

always #(STEP/2) 
    ck = ~ck;

cnt12 cnt12( .CK(ck), .RES_X(res_x), .EN(en), .Q(q) );

initial begin
               en = 0; res_x = 1; ck = 0; 
    #STEP              res_x = 0;
    #STEP              res_x = 1;
    #STEP       en = 1;
    #(STEP*11)  en = 0;
    #(STEP*2)   en = 1;
    #(STEP*5)   $finish;
end

initial $monitor( $stime, " res_x=%b en=%b q=%d",
                          res_x, en, q );
                          
endmodule
