
module decdiv2( CLK, RES_X, LD, DIN, DOUT_LED_HI, DOUT_LED_LO, CNT_LED );
input           CLK, RES_X, LD;
input   [7:0]   DIN;
output  [6:0]   DOUT_LED_HI, DOUT_LED_LO, CNT_LED;

wire     [7:0]   dout;
wire     [3:0]   cnt;

decdiv decdiv
        ( .DIN(DIN), .LD(LD), .RES_X(RES_X), .CLK(CLK), .DOUT(dout) );
        
decdiv_cnt decdiv_cnt
        ( .DOUT(dout), .LD(LD), .RES_X(RES_X), .CLK(CLK), .CNT(cnt) );
        
led_decode led_decode0( .DIN(dout[7:4]), .LED(DOUT_LED_HI) );

led_decode led_decode1( .DIN(dout[3:0]), .LED(DOUT_LED_LO) );

led_decode led_decode2( .DIN(cnt), .LED(CNT_LED) );


endmodule
