
module fulladd_tp;
reg     A, B, CIN;
wire    Q, COUT;

parameter STEP = 1000;

fulladd fulladd( .A(A), .B(B), .CIN(CIN), .Q(Q), .COUT(COUT) );

initial begin
           A=0; B=0; CIN=0;
    #STEP  A=0; B=0; CIN=1; 
    #STEP  A=0; B=1; CIN=0;
    #STEP  A=0; B=1; CIN=1;
    #STEP  A=1; B=0; CIN=0;
    #STEP  A=1; B=0; CIN=1;
    #STEP  A=1; B=1; CIN=0;
    #STEP  A=1; B=1; CIN=1;

    #STEP   $finish;
end

initial $monitor( $stime, " A=%b B=%b CIN=%b  COUT=%b Q=%b",
                          A, B, CIN, COUT, Q );

endmodule
