
module keydisp( KEY, A, B, C, D, E, F, G );
input   [9:0]  KEY;
output         A, B, C, D, E, F, G;

wire    [3:0]  kenc;
wire    [6:0]  LEDout;

keyenc keyenc( .KEY(KEY), .KOUT(kenc) );

leddec leddec( .KIN(kenc), .LED(LEDout) );
                      
assign { A, B, C, D, E, F, G } = LEDout;              

endmodule
