
module keyenc_tp2;
reg     [9:0]   key;
wire    [3:0]   kout;

parameter STEP = 1000;

keyenc keyenc( .KEY(key), .KOUT(kout) );

// Task declaration
task keyin;
input   [3:0] num;
begin
              key[num] = 1;
    #(STEP/2) key[num] = 0;
    #(STEP/2) ;
end
endtask

// TEST input
initial begin
    key = 10'h000;
    keyin(0);
    keyin(1);
    keyin(2);
    keyin(3);
    keyin(4);
    keyin(5);
    keyin(6);
    keyin(7);
    keyin(8);
    keyin(9);
    #STEP  $finish;
end


endmodule
