
module saikoro( CLK, RES_X, EN, LAMP );
input           CLK, RES_X, EN;
output  [6:0]   LAMP;
reg     [6:0]   LAMP;

reg     [2:0]   cnt;

always @( posedge CLK or negedge RES_X ) begin
    if ( !RES_X )
        cnt <= 3'd1;
    else if ( EN )
        if ( cnt==3'd6 )
            cnt <= 3'd1;
        else
            cnt <= cnt + 3'd1;
end

always @( cnt ) begin
    case( cnt )
        3'h1:  LAMP = 7'b0001000;
        3'h2:  LAMP = 7'b1000001;
        3'h3:  LAMP = 7'b0011100;
        3'h4:  LAMP = 7'b1010101;
        3'h5:  LAMP = 7'b1011101;
        3'h6:  LAMP = 7'b1110111;
     default:  LAMP = 7'b0001000;
    endcase
end

endmodule
