module adder_tp;
reg     [3:0]   a, b;
wire    [3:0]   q;

parameter STEP = 1000;

adder adder0( .A(a), .B(b), .Q(q) );

// adder_ripple adder( .a(a), .b(b), .q(q) );

// adder_ripple2 adder( .a(a), .b(b), .q(q) );

// adder_macro  adder( .a(a), .b(b), .q(q) );

initial begin
            a = 4'h0;   b = 4'h0;
    #STEP   a = 4'h1;   b = 4'h3;
    #STEP   a = 4'hf;   b = 4'h0;
    #STEP   a = 4'h7;   b = 4'ha;
    #STEP   a = 4'h1;   b = 4'hf;
    #STEP   a = 4'h9;   b = 4'h6;
    #STEP   $finish;
end

initial $monitor( $stime, " a=%h b=%h q=%h",
    a, b, q );

endmodule
