module keyenc( KEY, KOUT );
input   [9:0] KEY;
output  [3:0] KOUT;
reg     [3:0] KOUT;

always @( KEY ) begin
    case ( KEY )
        10'b00000_00001:    KOUT = 4'h0;
        10'b00000_00010:    KOUT = 4'h1;
        10'b00000_00100:    KOUT = 4'h2;
        10'b00000_01000:    KOUT = 4'h3;
        10'b00000_10000:    KOUT = 4'h4;
        10'b00001_00000:    KOUT = 4'h5;
        10'b00010_00000:    KOUT = 4'h6;
        10'b00100_00000:    KOUT = 4'h7;
        10'b01000_00000:    KOUT = 4'h8;
        10'b10000_00000:    KOUT = 4'h9;
        10'b00000_00000:    KOUT = 4'hf;
        default:            KOUT = 4'hx;
    endcase
end

endmodule
