//
// signal control circuit testbench
//
module sigctrl_tp;

reg        CLK, RST_X;
wire       LAMP_R, LAMP_B, LAMP_Y;

parameter CYCLE2 = 10;
parameter CYCLE  = 20;

sigctrl sigctrl (
  .CLK     (CLK),
  .RST_X   (RST_X),
  .LAMP_R  (LAMP_R),
  .LAMP_B  (LAMP_B),
  .LAMP_Y  (LAMP_Y)
);

always #( CYCLE2 )
  CLK = ~CLK;

initial begin
  CLK   = 1'b1;
  RST_X = 1'b1;
  #(CYCLE2);
  RST_X = 1'b0;
  #(CYCLE);
  RST_X = 1'b1;
  #(CYCLE* 60);
  $finish;
end

endmodule
