module count6_tp;
reg             ck, rst_x;
wire    [2:0]   qo;

parameter STEP = 1000;

count6 count6( .CLK(ck), .RST_X(rst_x), .QO(qo) );


always #(STEP/2) 
    ck = ~ck;

initial begin
            ck    = 0;
            rst_x = 1;
    #STEP   rst_x = 0;
    #STEP   rst_x = 1;
    #(STEP*20)
            $finish;
end

initial $monitor( $stime, " ck=%b rst_x=%b  q=%h", ck, rst_x, qo);

endmodule
