module addex( A, B, Q );
input   [3:0]   A;
input   [2:0]   B;
output  [3:0]   Q;
wire    [4:0]   temp_sum;
wire            overflow_flag;

assign temp_sum = A + B;

assign overflow_flag = temp_sum[4];

assign Q = overflow_flag ? 4'hf : temp_sum[3:0];

endmodule
