module addex3_tp;
reg     [3:0]   rin, gin, bin;
reg     [2:0]   oft;
wire    [11:0]  q;

parameter STEP = 1000;

addex3 addex3( .RIN(rin), .GIN(gin), .BIN(bin), .OFT(oft),
             .D3OUT(q) );

initial begin
            {rin,gin,bin,oft} = {12'h000,3'h0};
    #STEP   {rin,gin,bin,oft} = {12'h06C,3'h1};
    #STEP   {rin,gin,bin,oft} = {12'h17D,3'h2};
    #STEP   {rin,gin,bin,oft} = {12'h28E,3'h3};
    #STEP   {rin,gin,bin,oft} = {12'h39E,3'h4};
    #STEP   {rin,gin,bin,oft} = {12'h4AE,3'h5};
    #STEP   {rin,gin,bin,oft} = {12'h5BF,3'h7};
    #STEP   $finish;
end

initial $monitor( $stime, " rin=%h gin=%h bin=%h oft=%h q=%h",
    rin, gin, bin, oft, q );

endmodule
