module addsub2(
    DIN0,
    DIN1,
    MOD,
    QOUT
 );

input  [3:0]  DIN0;
input  [3:0]  DIN1;
input         MOD;
output [3:0]  QOUT;

// Signal
wire   [3:0]  AD0;
wire   [3:0]  SB0;

addmd addmd_0(
    .D0    (DIN0),
    .D1    (DIN1),
    .Q0    (AD0)
);

submd submd_0(
    .D0    (DIN0), 
    .D1    (DIN1), 
    .Q0    (SB0) 
);

selmd selmd_0(
    .D0    (SB0),
    .D1    (AD0),
    .SEL   (MOD),
    .Q0    (QOUT)
);


endmodule
