module addsub2_tp;
reg   [3:0]  din0, din1;
reg          mod;
wire  [3:0]  qout;

parameter STEP = 1000;

addsub2 addsub2(
    .DIN0    (din0),
    .DIN1    (din1),
    .MOD     (mod),
    .QOUT    (qout)
);

initial begin
            din0 = 4'h7;  din1 = 4'h4;  mod = 1;
    #STEP   din0 = 4'hC;  din1 = 4'h5;  mod = 1;
    #STEP   din0 = 4'hC;  din1 = 4'h5;  mod = 0;
    #STEP   din0 = 4'h5;  din1 = 4'hA;  mod = 0;
    #STEP   din0 = 4'h5;  din1 = 4'hA;  mod = 1;
    #STEP   din0 = 4'hF;  din1 = 4'hF;  mod = 1;
    #STEP   din0 = 4'hF;  din1 = 4'hF;  mod = 0;
    #STEP   $finish;
end

initial $monitor( $stime, " %d  %b  %d = %d ", din0, mod, din1, qout);

endmodule
