
module bcd60_tp;
reg             clk, res_x, cnten;        
wire    [3:0]   lsb;  
wire    [2:0]   msb;  
wire            co;  

parameter       STEP   = 1000;

bcd60 bcd60( .CNTEN(cnten), .RES_X(res_x), .CLK(clk),
             .LSB(lsb), .MSB(msb), .CO(co) );

always begin
              clk = 0;
    #(STEP/2) clk = 1;
    #(STEP/2);
end

initial begin
               res_x = 1;  cnten = 0;    
    #STEP      res_x = 0;  cnten = 0;
    #STEP      res_x = 1;  cnten = 1;
    #(STEP*2)  res_x = 0;  cnten = 1;
    #STEP      res_x = 0;  cnten = 0;
    #STEP      res_x = 1;  cnten = 1;
    #(STEP*60) res_x = 1;  cnten = 0;
    #STEP      res_x = 1;  cnten = 1;
    #(STEP*30) res_x = 1;  cnten = 1;
    #STEP      res_x = 1;  cnten = 0;
    #STEP      res_x = 1;  cnten = 0;
    #STEP      res_x = 1;  cnten = 1;
    #STEP      res_x = 1;  cnten = 0;
    #STEP      res_x = 0;  cnten = 1;
    #STEP      res_x = 1;  cnten = 1;
    #(STEP*61) res_x = 1;  cnten = 1;
    #STEP      $finish;
end

initial $monitor ($stime, " res_x=%b cnten=%b  msb/lsb= %h %h  co=%b ",
                            res_x, cnten, msb, lsb, co);

endmodule

