
module counter2_tp;
reg             ck, res_x, en;
wire    [3:0]   q;

parameter STEP = 1000;

counter2 counter2( .CK(ck), .RES_X(res_x), .EN(en), .Q(q) );

always begin
    ck = 0; #(STEP/2);
    ck = 1; #(STEP/2);
end

initial begin
            res_x = 1; en = 0;
    #STEP   res_x = 0;
    #STEP   en    = 1;
    #STEP   res_x = 1;
    #(STEP*18)
            en    = 0;
    #(STEP*2)   
            res_x = 0;
    #STEP   res_x = 1;
    #(STEP*2)
            en    = 1;
    #(STEP*4)
            $finish;
end

initial $monitor( $stime, " ck=%b res_x=%b en=%b  q=%h", 
                          ck, res_x, en, q);

endmodule
