
module decdiv_cnt( CLK, RES_X, LD, DOUT, CNT );
input           CLK, RES_X, LD;
input   [7:0]   DOUT;
output  [3:0]   CNT;

reg     [3:0]   CNT;

always @( posedge CLK or negedge RES_X ) begin
    if ( !RES_X )
        CNT <= 4'h0;
    else if ( LD )
        CNT <= 4'h0;
    else if ( DOUT != 8'h0 )
        CNT <= CNT + 4'h1;
end

endmodule
