
module giketsu( A, B, C, MAJO, UNAN );
input   A, B, C;
output  MAJO, UNAN;
reg     MAJO, UNAN;

always @( A or B or C ) begin
  case ( {A, B, C} )
    3'b000 : {MAJO, UNAN} = 2'b01;
    3'b001 : {MAJO, UNAN} = 2'b00;
    3'b010 : {MAJO, UNAN} = 2'b00;
    3'b011 : {MAJO, UNAN} = 2'b10;
    3'b100 : begin MAJO = 1'b0; UNAN = 1'b0; end
    3'b101 : begin MAJO = 1'b1; UNAN = 1'b0; end
    3'b110 : begin MAJO = 1'b1; UNAN = 1'b0; end
    3'b111 : begin MAJO = 1'b1; UNAN = 1'b1; end
    default: {MAJO, UNAN} = 2'b01;
  endcase
end

endmodule

