
module keyenc_tp;
reg     [9:0]   key;
wire    [3:0]   kout;

parameter STEP = 1000;

keyenc keyenc( .KEY(key), .KOUT(kout) );

initial begin
            key = 0;
    #STEP   key = 10'b00_0000_0001;  // 0
    #STEP   key = 10'b00_0000_0010;  // 1
    #STEP   key = 10'b00_0000_0100;  // 2
    #STEP   key = 10'b00_0000_1000;  // 3
    #STEP   key = 10'b00_0001_0000;  // 4
    #STEP   key = 10'b00_0010_0000;  // 5
    #STEP   key = 10'b00_0100_0000;  // 6
    #STEP   key = 10'b00_1000_0000;  // 7 
    #STEP   key = 10'b01_0000_0000;  // 8
    #STEP   key = 10'b10_0000_0000;  // 9

    #STEP   key = 10'b00_0000_0101;  // 0,2
    #STEP   key = 10'b00_0100_0000;  // 6
    #STEP   key = 10'b11_1000_0000;  // 7,8,9
    #STEP   key = 10'b01_0000_0000;  // 8

    #STEP   $finish;
end

initial $monitor( $stime, " key=%b kout=%d %b", key, kout, kout );

endmodule
