
module saikoro2_tp;
reg             ck, res_x, en;
wire    [6:0]   lamp;

parameter STEP = 1000;

always begin
    ck = 0; #(STEP/2);
    ck = 1; #(STEP/2);
end

saikoro2 saikoro2( .CLK(ck), .RES_X(res_x), .EN(en), .LAMP(lamp) );

initial begin
            res_x = 0; en = 0;
    #STEP   res_x = 1;
    #STEP   en = 1;
    #(STEP*5)
            en = 0;
    #STEP   en = 1;
    #(STEP*12)
            $finish;
end

initial $monitor( $stime, " res_x=%b en=%b lamp=%b",
                            res_x, en, lamp );
                            
endmodule
