module selmd( D0, D1, SEL, Q0 );
input  [3:0]  D0;
input  [3:0]  D1;
input         SEL;
output [3:0]  Q0;

reg    [3:0] Q0;

// Select
always @( D0 or D1 or SEL )
begin
    if ( SEL == 1'b1 )
        Q0 = D1;
    else 
        Q0 = D0;
end

endmodule
