
module updown_cnt_tp;
reg             ck, res_x, up;
wire    [3:0]   q;

parameter STEP = 1000;

updown_cnt M0( .CK(ck), .RES_X(res_x), .UP(up), .Q(q) );

always begin
    ck = 0; #(STEP/2);
    ck = 1; #(STEP/2);
end

initial begin
            res_x = 1; up = 1;
    #STEP   res_x = 0; 
    #STEP   res_x = 1;
    #(STEP*20)         up = 0;
    #(STEP*20)
            $finish;
end

initial $monitor( $stime, " ck=%b res_x=%b up=%b q=%h", 
                          ck, res_x, up, q);

endmodule
