module counter_tp;
reg             ck, res_x;
wire    [3:0]   q;

parameter STEP = 1000;

counter counter( .CK(ck), .RES_X(res_x), .Q(q) );

// counter_macro counter( .ck(ck), .res_x(res_x), .q(q) );

always #(STEP/2) 
    ck = ~ck;

initial begin
            ck = 0;
            res_x = 1;
    #STEP   res_x = 0;
    #STEP   res_x = 1;
    #(STEP*30)
            $finish;
end

initial $monitor( $stime, " ck=%b res_x=%b  q=%h", ck, res_x, q);

endmodule
