
module leddec( KIN, LED );
input   [3:0] KIN;
output  [6:0] LED;
reg     [6:0] LED;

always @( KIN ) begin
    case ( KIN )
        4'h0 : LED = 7'b111_1110;
        4'h1 : LED = 7'b011_0000;
        4'h2 : LED = 7'b110_1101;
        4'h3 : LED = 7'b111_1001;
        4'h4 : LED = 7'b011_0011;
        4'h5 : LED = 7'b101_1011;
        4'h6 : LED = 7'b101_1111;
        4'h7 : LED = 7'b111_0010;
        4'h8 : LED = 7'b111_1111;
        4'h9 : LED = 7'b111_1011;
        4'hF : LED = 7'b000_0000;
        default:
               LED = 7'b100_1111;
    endcase
end

endmodule

